sha1_i.h File Reference

Go to the source code of this file.

## Data Structures

struct | SHA1Context

## Functions

void | SHA1Init (struct SHA1Context *context)
void | SHA1Update (struct SHA1Context *context, const void *data, u32 len)
void | SHA1Final (unsigned char digest[20], struct SHA1Context *context)
void | SHA1Transform (u32 state[5], const unsigned char buffer[64])

## Function Documentation

## SHA1Final()

void SHA1Final | ( | unsigned char | digest[20],
|  | struct SHA1Context * | context
| ) |  |

References SHA1Context::buffer, SHA1Context::count, os_memset, SHA1Update(), and SHA1Context::state.

Referenced by sha1_vector().

## SHA1Init()

void SHA1Init | ( | struct SHA1Context * | context | ) |

References SHA1Context::count, and SHA1Context::state.

Referenced by sha1_vector().

## SHA1Transform()

void SHA1Transform | ( | u32 | state[5],
|  | const unsigned char | buffer[64]
| ) |  |

References c, l, os_memcpy, os_memset, R0, R1, R2, R3, and R4.

Referenced by SHA1Update().

## SHA1Update()

void SHA1Update | ( | struct SHA1Context * | context,
|  | const void * | data,
|  | u32 | len
| ) |  |

References SHA1Context::buffer, SHA1Context::count, data, len, os_memcpy, SHA1Transform(), and SHA1Context::state.

Referenced by sha1_vector(), and SHA1Final().